%define name atmel-firmware
%define version 1.3
%define release %mkrel 9
%define url http://www.thekelleys.org.uk/

Summary:	Firmware for Atmel at76c50x wireless network chips
Name:		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	Redistributable, no modification permitted
Group:		System/Kernel and hardware
URL:		%{url}
Source0: 	%{name}-%{version}.tar.bz2
BuildArch:	noarch

%description
The drivers for Atmel at76c50x wireless network chipss in the
Linux 2.6.x kernel and at http://at76c503a.berlios.de/ do not 
include the firmware and this firmware needs to be loaded by 
the host on most cards using these chips. 
This package provides the firmware images which 
should be automatically loaded as needed by the hotplug system. It also 
provides a small loader utility which can be used to accomplish the 
same thing when hotplug is not in use. 

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p -m 755 $RPM_BUILD_ROOT/lib/firmware
cp images/* $RPM_BUILD_ROOT/lib/firmware
cp images.usb/* $RPM_BUILD_ROOT/lib/firmware

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING 
/lib/firmware/*.bin


%changelog
* Fri Jul 07 2017 akien <akien> 1.3-9.mga6
+ Revision: 1109178
- Mageia 6 rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3-8.mga5.nonfree
+ Revision: 746784
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-7.mga5.nonfree
+ Revision: 678024
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 1.3-6.mga4.nonfree
+ Revision: 548326
- Mageia 4 rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.3-5.mga3.nonfree
+ Revision: 346529
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 10 2011 ahmad <ahmad> 1.3-4.mga1
+ Revision: 67831
- sync License with Fedora
- imported package atmel-firmware

